/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package View;


import javax.swing.JRootPane;
import javax.swing.Timer;

import Controller.Controller;
import javax.swing.JOptionPane;
/**
 *
 * @author raymo
 */
public class Login extends javax.swing.JFrame {

    private Timer t;
    Controller controller;
    Inside inside;

    /**
     * Creates new form Login
     */
    public Login(Controller controller) {
        this.controller = controller;
        setUndecorated(true);
        getRootPane().setWindowDecorationStyle(JRootPane.NONE);
        initComponents();
        setLocationRelativeTo(null);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        txtUsername = new javax.swing.JTextField();
        jPasswordField1 = new javax.swing.JPasswordField();
        btnLogin = new javax.swing.JLabel();
        btnExit = new javax.swing.JLabel();
        Background = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setPreferredSize(new java.awt.Dimension(500, 500));
        setResizable(false);
        getContentPane().setLayout(null);

        txtUsername.setText("Input username");
        txtUsername.setToolTipText("Điền vào username");
        txtUsername.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 2, 0, new java.awt.Color(204, 204, 255)));
        txtUsername.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));
        txtUsername.setOpaque(false);
        txtUsername.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                txtUsernameMouseClicked(evt);
            }
        });
        getContentPane().add(txtUsername);
        txtUsername.setBounds(240, 260, 140, 30);

        jPasswordField1.setText("jPasswordField1");
        jPasswordField1.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 2, 0, new java.awt.Color(204, 204, 255)));
        getContentPane().add(jPasswordField1);
        jPasswordField1.setBounds(240, 300, 140, 30);

        btnLogin.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-enter-25.png"))); // NOI18N
        btnLogin.setText("Login");
        btnLogin.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        btnLogin.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btnLoginMouseClicked(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                btnLoginMousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                btnLoginMouseReleased(evt);
            }
        });
        getContentPane().add(btnLogin);
        btnLogin.setBounds(170, 340, 70, 50);

        btnExit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-shutdown-25.png"))); // NOI18N
        btnExit.setText("Exit");
        btnExit.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        btnExit.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                btnExitMousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                btnExitMouseReleased(evt);
            }
        });
        getContentPane().add(btnExit);
        btnExit.setBounds(260, 340, 70, 50);

        Background.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/Login 500x500.png"))); // NOI18N
        getContentPane().add(Background);
        Background.setBounds(0, 0, 500, 498);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnExitMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMousePressed
        // TODO add your handling code here:
        btnExit.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
    }//GEN-LAST:event_btnExitMousePressed

    private void btnExitMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMouseReleased
        // TODO add your handling code here:
        btnExit.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        System.exit(0);
    }//GEN-LAST:event_btnExitMouseReleased

    private void txtUsernameMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_txtUsernameMouseClicked
        // TODO add your handling code here:
        txtUsername.setText("");
    }//GEN-LAST:event_txtUsernameMouseClicked

    private void btnLoginMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnLoginMousePressed
        // TODO add your handling code here:
        btnLogin.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
    }//GEN-LAST:event_btnLoginMousePressed

    private void btnLoginMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnLoginMouseReleased
        // TODO add your handling code here: UA ANH MOUSERELEAD LA SAO A LA CLICK CHUOT XONG BUONG CHUOT RA NO CHAY SAO KO XAI MOUSE CLICK CUNG VAY A
        btnLogin.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        controller.setUsername(txtUsername.getText());
        controller.setPassword(jPasswordField1.getText());
        controller.checklogin();
        try {
            switch (controller.getMessage()) {
            case "Login Success":
                JOptionPane.showMessageDialog(this, "LOGIN Successful!");
                controller.loginSuccess();
                break;
            case "Login Failed":
                JOptionPane.showMessageDialog(this, controller.getMessage() + ",wrong passwords");
        }
            
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, controller.getMessage() + ",wrong passwords");
        }
        
    }//GEN-LAST:event_btnLoginMouseReleased

    private void btnLoginMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnLoginMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_btnLoginMouseClicked



    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel Background;
    private javax.swing.JLabel btnExit;
    private javax.swing.JLabel btnLogin;
    private javax.swing.JPasswordField jPasswordField1;
    private javax.swing.JTextField txtUsername;
    // End of variables declaration//GEN-END:variables
}
